| Classes - Annotated - Tree - Functions - Home - Structure

# QImageFormat Class Reference

Incremental image decoder for a specific image format. More...

`#include <qasyncimageio.h>`

List of all member functions.

## Public Members

- virtual ~QImageFormat ()
- virtual int decode ( QImage & img, QImageConsumer * consumer, const uchar * buffer, int length )

## Detailed Description

Incremental image decoder for a specific image format.

By making a derived classes of QImageFormatType which in turn creates objects that are a subclass of QImageFormat, you can add support for more incremental image formats, allowing such formats to be sources for a QMovie, or for the first frame of the image stream to be loaded as a QImage or QPixmap.

Your new subclass must reimplement the decode() function in order to process your new format.

New QImageFormat objects are generated by new QImageFormatType factories.

## Member Function Documentation

### QImageFormat::~QImageFormat () `[virtual]`

Destructs the object.

### int QImageFormat::decode ( QImage & img, QImageConsumer * consumer, const uchar * buffer, int length ) `[virtual]`

New subclasses must reimplement this method.

It should decode some or all of the bytes from buffer into img, calling the methods of consumer as the decoding proceeds to inform that consumer of changes to the image. The consumer may be 0, in which case the function should just process the data into img without telling any consumer about the changes. Note that the decoder must store enough state to be able to continue in subsequent calls to this method - this is the essence of the incremental image loading.

The function should return without processing all the data if it reaches the end of a frame in the input.

The function must return the number of bytes it has processed.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2001 Trolltech, all rights reserved.